Piazzale Italia

Popup di errore su Moodle 3.5

 
Immagine Antonio Fittipaldi
Popup di errore su Moodle 3.5
 

Buon pomeriggio a tutti,

ho appena installato Moodle 3.5 e in home mi capita di visualizzare sempre messaggi di questo tipo, spesso relativi a situazioni di stack overflow. Qualcuno ha affrontato il problema e sa da cosa può dipendere? Moodle è appena installato e non contiene alcun elemento personalizzato (temi, plugin...).

Grazie.

Saluti.


Popup di errore su Moodle 3.5

 
Media dei voti:  -
Immagine Matteo Scaramuccia
Re: Popup di errore su Moodle 3.5
Core developersParticularly helpful MoodlersPlugin developers

Ciao Antonio,
dallo stacktrace che hai postato l'errore viene dalla libreria mustache, quella utilizzata per il templating nella renderizzazione dell'output.

E' un errore che non ho mai visto in Community, ti accade solo quando ti logghi e solo con qualche browser?
Durante l'installazione ti è capitato qualcosa di strano ad esempio che faccia pensare che non hai copiato o hai copiato "male" qualche file di Moodle?

HTH,
Matteo

 
Media dei voti: Utile (1)
Immagine Antonio Fittipaldi
Re: Popup di errore su Moodle 3.5
 

Ciao Matteo e grazie per la tua cortese risposta,

per installare Moodle ho usato l'installer di SiteGround e l'operazione è stata completata correttamente: suggerisci di procedere con un'installazione manuale? L'errore mi viene notificato da loggato, sia con Google Chrome che con Mozilla Firefox.

Cosa ne pensi? Grazie mille!

Saluti.

Immagine Matteo Scaramuccia
Re: Popup di errore su Moodle 3.5
Core developersParticularly helpful MoodlersPlugin developers

Ciao Antonio,
non saprei, io chiederei direttamente a SiteGround perché a me sembra un errore di "sorgente" su qualche file perché se installi la versione scaricandola direttamente da https://download.moodle.org/releases/latest/ , non ottieni quell'errore.

Edit: visto ora da https://it.siteground.com/kb/come-installare-moodle-sul-mio-account/ che in realtà ti hanno messo a disposizione Softaculous che è noto alla Community Moodle perché causa di diversi "pasticci" - a onor del vero, non sempre però - sulle installazioni ma soprattutto sugli aggiornamenti successivi.
Io proverei ad installare Moodle manualmente: https://docs.moodle.org/35/en/Installing_Moodle .

HTH,
Matteo

Immagine Antonio Fittipaldi
Re: Popup di errore su Moodle 3.5
 

Ciao Matteo,

ho provato con un'installazione scaricando il pacchetto da moodle.org... purtroppo nulla da fare, stesso risultato.

Tra l'altro mi pare sia un problema piuttosto diffuso...

triste

Saluti.

Immagine Matteo Scaramuccia
Re: Popup di errore su Moodle 3.5
Core developersParticularly helpful MoodlersPlugin developers

Ciao Antonio,
stesso risultato cioè ottieni sempre errore di stack overflow?

Il problema delle popup undefined ha una altra storia: deriva dal fatto che ad oggi quando c'è un errore di configurazione sul server, la risposta non è più un JSON valido e Moodle si "rompe" senza invece dare una forma di notifica della ragione per cui si è trovato un JSON diverso e l'unico modo per scovarlo è ispezionare le risposte tramite il tab Network dei Developer Tools del tuo browser.

Vedi per esempio: https://tracker.moodle.org/browse/MDL-60691?focusedCommentId=597479&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#comment-597479 e seguenti .

Eventualmente, creami un utente non privilegiato che abbia il problema, scrivimelo in privato e provo a vedere se rientra nel caso degli "undefined".

HTH,
Matteo

Immagine Antonio Fittipaldi
Re: Popup di errore su Moodle 3.5
 

Ciao Matteo,

ti ho scritto in privato, grazie! Speriamo di trovare una soluzione così poi la condividiamo qui sul forum.

Saluti.

Immagine Matteo Scaramuccia
Re: Popup di errore su Moodle 3.5
Core developersParticularly helpful MoodlersPlugin developers

Ciao Antonio,
ho fatto una prova con FF e CR e ti confermo (!) che l'errore lo ottengo anche io e non sono riuscito in un quarto d'ora a capirne l'origine: devo pensarci per capire a pollicioni che cosa renda differente ad esempio la Dashboard dalla View della sezione di amministrazione, anche se ad esempio provando ad abilitare lo User Tour alla fine ottengo lo stesso errore anche lì - quando si clicca sull'"occhio di Moodle".

Una cosa strana l'ho notata: sembra che tu stia girando dietro ad un reverse proxy (nginx, nonostante Moodle giri sotto Apache) e non so se possa essere lui la causa del cambio potenziale dei template mustache su cui poi si scatena l'eccezione Javascript.
Nel frattempo, potresti chiedere a Siteground se sia mai capitato al loro Supporto un tale problema visto che sia se lo installi con Softaculous sia se lo installi a mano hai sempre lo stesso problema, che in una installazione altrove della 3.5 (o weekly) non accade.

Vedi tu se per ora ti convenga, per ragioni di sicurezza, disabilitarmi l'account.

HTH,
Matteo